For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETList Providers
      • POSTActivate Integration Provider
      • PUTUpdate Integration Provider
      • DELDeactivate Integration Provider
      • POSTCreate User Integration Provider Connection
      • PUTUpdate User Integration Provider Connection
      • DELDisconnect User Integration Provider Connection
LogoLogo
SupportContact salesStart free trial
API ReferenceIntegration Provider

List Providers

GET
https://api.projectmanager.com/api/data/integrations/providers
GET
/api/data/integrations/providers
$curl https://api.projectmanager.com/api/data/integrations/providers \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "name": "string",
17 "shortId": "string",
18 "summary": "string",
19 "description": "string",
20 "licenseSkus": [
21 "string"
22 ],
23 "categoryShortIds": [
24 "string"
25 ],
26 "activated": true,
27 "authenticated": true,
28 "integrations": [
29 {
30 "id": "string",
31 "name": "string",
32 "description": "string",
33 "shortId": "string",
34 "isMultiInstance": true,
35 "licenseSkus": [
36 "string"
37 ],
38 "instances": [
39 {
40 "id": "string",
41 "integrationShortId": "string",
42 "enabledBy": "string",
43 "createDate": "2024-01-15T09:30:00Z",
44 "modifyDate": "2024-01-15T09:30:00Z",
45 "projectId": "string",
46 "providerItemId": "string",
47 "providerItemName": "string"
48 }
49 ],
50 "enabled": true,
51 "authenticated": true,
52 "autoEnabled": true,
53 "noAdminPermission": true
54 }
55 ],
56 "authSetup": {
57 "masterConnection": "string",
58 "userConnection": "string",
59 "masterConnectionSchema": {}
60 },
61 "createInWorkato": true
62 }
63 ]
64}
List all available IntegrationProviders that can be activated. An IntegrationProvider is the name of an external application or service that can be connected to ProjectManager.com. The Integrations API is intended for use by ProjectManager and its business development partners. Please contact ProjectManager's sales team to request use of this API.
Was this page helpful?
Previous

Activate Integration Provider

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.